SHA256
1
0
forked from pool/emacs

Accepting request 827085 from home:AndreasSchwab:f

- Some specfile cleanup: remove checks obsoleted by the portable dumper

OBS-URL: https://build.opensuse.org/request/show/827085
OBS-URL: https://build.opensuse.org/package/show/editors/emacs?expand=0&rev=284
This commit is contained in:
Dr. Werner Fink 2020-08-17 06:53:32 +00:00 committed by Git OBS Bridge
parent c3c2fc81c8
commit 4efdb355de
2 changed files with 8 additions and 38 deletions

View File

@ -1,3 +1,8 @@
-------------------------------------------------------------------
Sun Aug 16 16:53:39 UTC 2020 - Andreas Schwab <schwab@linux-m68k.org>
- Some specfile cleanup: remove checks obsoleted by the portable dumper
-------------------------------------------------------------------
Sat Aug 15 06:26:39 UTC 2020 - Dr. Werner Fink <werner@suse.de>

View File

@ -324,22 +324,6 @@ fi
autoreconf -fiv -I $PWD -I $PWD/m4
%endif
# make sure that the binaries work (pagesize on build must be the same as on target, bnc#726769)
%ifarch ppc ppc64 ia64
%if %(getconf PAGESIZE) != 65536
%error "Error: wrong build host, PAGESIZE must be 65536"
exit 1
%endif
%endif
exec_shield=0
if test -e /proc/sys/kernel/exec-shield; then
read -t 1 exec_shield < /proc/sys/kernel/exec-shield
fi
if test $exec_shield -ne 0 ; then
echo Sorry, Execution Shield exists and is enabled 1>&2
exit 1
fi
cflags ()
{
local flag=$1; shift
@ -486,31 +470,12 @@ fi
##(($1 > 4 || ($1 == 4 && $2 > 4))) && COMP="$COMP --enable-link-time-optimization"
##IFS="$OIFS"
make_mchkoff ()
{
local OMC=$MALLOC_CHECK_
unset MALLOC_CHECK_
if test -n "${1}" ; then
setarch $(uname -m) -R make ${1+"$@"}
set -- $(src/emacs -batch --eval "(print pure-space-overflow)")
test "$1" = "nil" || exit 1
fi
make -C src/ versionclean
setarch $(uname -m) -R make
set -- $(src/emacs -batch --eval "(print pure-space-overflow)")
test "$1" = "nil" || exit 1
if test -n "$OMC" ; then
MALLOC_CHECK_=$OMC
export MALLOC_CHECK_
fi
}
# new giflib5 does not have this function and it is unused anyway...
ac_cv_lib_gif_EGifPutExtensionLast=yes
export ac_cv_lib_gif_EGifPutExtensionLast
CFLAGS="$CFLAGS $SMALL" ./configure ${COMP} ${PREFIX} ${NOX11} ${SYS} --with-dumping=pdumper
make_mchkoff bootstrap
make bootstrap
make -C lisp/ updates compile
for i in `find site-lisp/ -name '*.el'`; do
src/emacs -batch -q --no-site -f batch-byte-compile $i; \
@ -520,13 +485,13 @@ cp src/emacs.pdmp emacs-nox.pdmp
make distclean
#
CFLAGS="$CFLAGS $LARGE" ./configure ${COMP} ${PREFIX} ${GTK} ${SYS} --with-dumping=pdumper
make_mchkoff
make
cp src/emacs emacs-gtk
cp src/emacs.pdmp emacs-gtk.pdmp
make distclean
#
CFLAGS="$CFLAGS $LARGE" ./configure ${COMP} ${PREFIX} ${X11} ${SYS} --with-dumping=pdumper
make_mchkoff
make
cp src/emacs emacs-x11
cp src/emacs.pdmp emacs-x11.pdmp